#!/usr/bin/env python
import site
import os
import sys

try:
    import settings  # Assumed to be in the same directory.
except ImportError:
    import sys

    sys.stderr.write(
        "Error: Can't find the file 'settings.py' in the directory containing %r. It appears you've customized things.\nYou'll have to run django-admin.py, passing it your conf.development module.\n(If the file conf.development.py does indeed exist, it's causing an ImportError somehow.)\n"
        % __file__
    )
    sys.exit(1)

BASE_DIR = os.path.dirname(os.path.dirname(__file__))
sys.path.insert(0, os.path.join(BASE_DIR, "apps"))

if settings.DEBUG != True:
    activate_this = "/var/lib/virtualenvs/pbp/bin/activate_this.py"
else:
    if os.path.exists("/home/powellc"):
        activate_this = "/home/powellc/.virtualenvs/pbp/bin/activate_this.py"
    else:
        activate_this = "/Users/powellc/.virtualenvs/pbp/bin/activate_this.py"
execfile(activate_this, dict(__file__=activate_this))


from django.core.management import execute_manager

if __name__ == "__main__":
    execute_manager(settings)
